Bug 370741 - Review Request: libggz - Library for client-server games
Review Request: libggz - Library for client-server games
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 370751
  Show dependency treegraph
 
Reported: 2007-11-07 21:57 EST by Rex Dieter
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.0.14-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 18:31:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2007-11-07 21:57:33 EST
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/ggz/libggz.spec
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/ggz/libggz-0.0.14-1.src.rpm
Description: 
GGZ (which is a recursive acronym for GGZ Gaming Zone) develops libraries,
games and game-related applications for client-server online gaming. Player
rankings, game spectators, AI players and a chat bot are part of this effort.

$rpmlint libggz-0.14-1.src.rpm
is clean

scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=230265
Comment 1 Jason Tibbitts 2007-11-07 22:45:19 EST
Hmm, rpmlint for me says:

libggz.x86_64: W: incoherent-version-in-changelog 0.0.14-2 0.0.14-1.fc8

Seems like the release is still -1 but the changelog has -2.  Not a huge deal;
you can fix it up when you check in.

Given the current NSS porting effort, I wonder if it could be used here.  I
haven't much clue about that, though.

* source files match upstream:
   d66834894dbc6b55c1da18b10fe8f9a6248bb5d3410b9dc1af955c6befdd0a43  
   libggz-0.0.14.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint complains about the changelog.
* final provides and requires are sane:
  libggz-0.0.14-1.fc8.x86_64.rpm
   libggz.so.2()(64bit)
   libggz = 0.0.14-1.fc8
  =
   /sbin/ldconfig
   libgcrypt.so.11()(64bit)
   libgcrypt.so.11(GCRYPT_1.2)(64bit)
   libggz.so.2()(64bit)
   libgnutls.so.13()(64bit)
   libgnutls.so.13(GNUTLS_1_3)(64bit)

  libggz-devel-0.0.14-1.fc8.x86_64.rpm
   libggz-devel = 0.0.14-1.fc8
  =
   libggz = 0.0.14-1.fc8
   libggz.so.2()(64bit)

* %check is not present; no test suite upstream.  Obviously this can't really be 
  tested without some client apps.
* shared libraries present; ldconfig called properly.
* unversioned .so files are in the -devel pacakge.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.  (Well, the 
  changelog is twice as large as the library itself, but it's still under 
  300K.)
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel package.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 2 Rex Dieter 2007-11-07 23:09:13 EST
New Package CVS Request
=======================
Package Name: libggz
Short Description: Library for client-server games
Owners: rdieter
Branches: F-7 F-8 EL-5
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2007-11-08 14:16:05 EST
cvs done.
Comment 4 Rex Dieter 2007-11-08 15:59:10 EST
imported, building.  thanks.
Comment 5 Fedora Update System 2007-11-09 18:31:02 EST
libggz-0.0.14-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-11-09 18:48:42 EST
libggz-0.0.14-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.